<?php
session_start();

require('commun.php');

if(isset($_GET['aleatoire'])) $_SESSION['aleatoire']=!$_GET['aleatoire'];
if(isset($_GET['sec'])) $_SESSION['sec']=$_GET['sec'];
if(isset($_GET['recursive'])) $_SESSION['recursive']=$_GET['recursive']; else $_SESSION['recursive']=0;

 function scan_directory_recursively_for_jpeg($directory,$recursive=1)
 {
	global $images;
     // if the path has a slash at the end we remove it here
     if(substr($directory,-1) == '/')
     {
         $directory = substr($directory,0,-1);
     }
  
     // if the path is not valid or is not a directory ...
     if(!file_exists($directory) || !is_dir($directory))
     {
         // ... we return false and exit the function
         return FALSE;
  
     // ... else if the path is readable
     }elseif(is_readable($directory))
     {
         // we open the directory
         $directory_list = opendir($directory);
  
         // and scan through the items inside
         while (FALSE !== ($file = readdir($directory_list)))
         {
             // if the filepointer is not the current directory
             // or the parent directory
             if($file != '.' && $file != '..')
             {
                 // we build the new path to scan
                 $path = $directory.'/'.$file;
  
                 // if the path is readable
                 if(is_readable($path))
                 {
                     // we split the new path by directories
                     $subdirectories = explode('/',$path);
  
                     // if the new path is a directory
                     if(is_dir($path)) {
			if($recursive==1)
				scan_directory_recursively_for_jpeg($path,$recursive);
		     }
                     elseif(is_file($path))
                     {
                         if(preg_match (_IMAGES_ACCEPTEES,end($subdirectories)))
                         {
                             // add the file details to the file list
                             $images[] = $path;
                         }
                     }
                 }
             }
         }
         // close the directory
         closedir($directory_list); 

         // return file list
         return $directory_tree;
  
     // if the path is not readable ...
     }else{
         // ... we return false
         return FALSE;    
     }
 }
 // ------------------------------------------------------------

################################################################################
// grab the variables we want set for newer php version compatability
// the @ supress the error messages if your php.ini error level is too high
@$currentPic = $GLOBALS['HTTP_GET_VARS']['currentPic'];

$header = "VeSPA Slideshow";
$browser_title = "$header";
// on ne définit dossier pour changer de dossier seulement
if ( !isset($_SESSION['images']) || isset($_GET['dossier']) ) {
  if (is_dir($_GET['dossier']) && $_GET['dossier']!=".")
          $_SESSION['dossier'] = $_GET['dossier'];
  else
          $_SESSION['dossier'] = "fotos";
  $images=array();
  $fileselection = scan_directory_recursively_for_jpeg($_SESSION['dossier'],$_SESSION['recursive']);
  sort($images);
//   echo var_dump($images);
  $_SESSION['combien']=count($images);
  if ($_SESSION['combien']==0) exit('No Pictures!');
  $_SESSION['images']=$images;
  $_SESSION['sec']=5;// 5 secondes par défaut
  $_SESSION['aleatoire']=0; //ordre normal par défaut
}

// begin messing with the array
if (empty($currentPic)) $currentPic = 0;
if (($currentPic > $_SESSION['combien'])||($currentPic == $_SESSION['combien']))
	$currentPic = '0';
$item = explode (";", $_SESSION['images'][$currentPic]);
if(isset($_SESSION['aleatoire']) && $_SESSION['aleatoire']==1) $next = rand(0,$_SESSION['combien']);
else $next = $currentPic + 1;
$preload = explode (";", $_SESSION['images'][$next]);
if ($currentPic > 0 ) $back = $currentPic - 1;
else $currentPic = "0";


// meta refresh stuff for auto slideshow...
$meta_refresh = "<meta http-equiv=\"refresh\" content=\"";
$meta_refresh .= $_SESSION['sec'].";url=$path?currentPic=$next\">";
$meta_refresh .='<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="PUBLIC">';
// $meta_refresh .='META HTTP-EQUIV="EXPIRES" CONTENT="Mon, 22 Jul 2013 11:12:01 GMT">';

################################################################################

print <<< HERE

<html>
<head>
	<title>$header</title>
	<meta HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
	$meta_refresh
	<link REL="shortcut icon" HREF="favicon.png" TYPE="image/x-png">
	
  <style>
 .tourne-90 {
    -webkit-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotate(90deg);
 }
  </style>
	
</head>
<body bgcolor=#000000>
<center>
<table border=0>
 <tr>
  <td align=center valign=center>
HERE;

# $taille contient [ largeur, hauteur, type, taille_html ]
$taille = getimagesize("$item[0]");
$ret=commentaires("$item[0]");
$angle=angle("$item[0]");
echo "
  <a href='$path?currentPic=$next'>
    <script>
      document.write('<img border=0 src=\"".str_replace("'","\'",$item[0])."\" ";
if ( $taille[0]*9 >= $taille[1]*16 )
	echo " width=',document.body.clientWidth * 0.90";
else
	echo " height=',document.body.clientHeight * 0.97";
echo " ,' class=\"tourne$angle\" >');  </script> </a>
		<div style='position:absolute;left:5px;top:5px;opacity:0.7;width:20px;heigth:15px;background-color: #ffffff;'>
			<A HREF=$path?currentPic=$next&aleatoire={$_SESSION['aleatoire']}>
				<img border=0 src='itheora/skins/defaut/boutons/options.png' alt='[?]'>
			</A>
		</div>
		<div style='position:absolute;right:5px;top:5px;opacity:0.7;width:20px;heigth:15px;background-color: #ffffff;'>
			<A HREF=\"#\" OnClick=\"window.close('fs')\">
				<img border=0 src='itheora/skins/defaut/boutons/close.png' alt='[X]'>
			</A>
		</div>";
if ( $ret['commentaire'] != "" ) echo "
	<div style='
	width: 500px;
	position: absolute;
	left: 50%;
	bottom: 5%;
	padding-bottom: 1%;
	color: #ffffff;
	opacity:0.5;
	background-color: #333333;
	margin-left: -250px;'>
		<h3>".$ret['commentaire']."</h3>".$ret['keyword']."
	</div>
	";

print <<< HERE
   <SCRIPT LANGUAGE="JavaScript">
      Image0= new Image($taille[0],$taille[1]);
      Image0.addEventListener("load", precharge, true);
      Image0.src = "$item[0]";

      function precharge() {
            Image1= new Image($taille[0],$taille[1]);
            Image1.src = "$preload[0]";
      }
    </SCRIPT>
  </td>
 </tr>
 </table>

</center>

</body>
</html>
HERE;

?>
